Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Class | Serial

Name

### list()

Examples

    // Example by Tom Igoe

    import processing.serial.*;

    // The serial port
    Serial myPort;

    // List all the available serial ports
    println(Serial.list());

Description | Gets a list of all available serial ports. Use println() to write the information to the text window.

Syntax

    serial.list()

Parameters

serial | any variable of type Serial

Usage | Web & Application

Updated on November 22, 2008 08:39:23pm PST